Subject: Re: cygwin/Perl and Win32:: package(s)
From: "Gerrit P. Haase" <[email-masked]>
To: Clive Nicolson <[email-masked]>
Cc: [email-masked]
Date: Wed, 22 May 2002 22:14:57 +0200

Hallo Clive,

Am Mittwoch, 22. Mai 2002 um 17:59 schriebst du:

> I have been developing a Perl script under Linux and cygwin (under Win 98)
> that is to run under a native version of Perl on a Win 2000 system.

> I have Linux and Win98 at home/work but not Win 2000. Perl is 5.6.1 .

> I decided it would be nice to add code using Win32::Registry to my Perl script
> and found that I could not get Win32::Registry (or any of it's friends) to
> install under cygwin/Win98. So I (foolishly) started looking into this.

> I've got many of the sub packages to compile,link and in some cases 
> partially run. I've still got some work to do for it to build "out of the box".

> Some of these sub packages will probably never build under Win 98, some 
> are of no use under cygwin.

> I have identified most of the problems in building Win32::... under cygwin
> and found solutions for most.

> Is anyone interested in this sort of work, particularly the cygwin Perl
> maintainer(s), I could do with some assistance and guidance!

Yes, that would be a great contribution.  I think it should live at CPAN
as a separate category similar to the Win32:: hierarchy named Cygwin::

So if you have a version of one or another Module that works, just put
it up to CPAN so everyone can fetch it.

I would like to test it with bleadperl because perl-5.6 is stable and
hopefully soon we'll have a new perl, perl-5.8;)

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/